Skip to content
Start here

Get a single Token Configuration

token_validation.configuration.get(strconfig_id, ConfigurationGetParams**kwargs) -> TokenConfig
GET/zones/{zone_id}/token_validation/config/{config_id}

Get a single Token Configuration

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayAccount API Gateway ReadDomain API GatewayDomain API Gateway Read
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
config_id: str

UUID.

maxLength36
minLength36
ReturnsExpand Collapse
class TokenConfig:
id: str

UUID.

maxLength36
minLength36
created_at: datetime
formatdate-time
credentials: Credentials
keys: List[CredentialsKey]
One of the following:
class CredentialsKeyAPIShieldCredentialsJWTKeyRSA:

JSON representation of an RSA key.

alg: Literal["RS256", "RS384", "RS512", 3 more]

Algorithm

One of the following:
"RS256"
"RS384"
"RS512"
"PS256"
"PS384"
"PS512"
e: str

RSA exponent

kid: str

Key ID

kty: Literal["RSA"]

Key Type

n: str

RSA modulus

class CredentialsKeyAPIShieldCredentialsJWTKeyEcEs256:

JSON representation of an ES256 key

alg: Literal["ES256"]

Algorithm

crv: Literal["P-256"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

class CredentialsKeyAPIShieldCredentialsJWTKeyEcEs384:

JSON representation of an ES384 key

alg: Literal["ES384"]

Algorithm

crv: Literal["P-384"]

Curve

kid: str

Key ID

kty: Literal["EC"]

Key Type

x: str

X EC coordinate

y: str

Y EC coordinate

description: str
maxLength500
last_updated: datetime
formatdate-time
title: str
maxLength50
token_sources: List[str]
token_type: Literal["JWT"]

Get a single Token Configuration

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
token_config = client.token_validation.configuration.get(
    config_id="4a7ee8d3-dd63-4ceb-9d5f-c27831854ce7",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(token_config.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "credentials": {
      "keys": [
        {
          "alg": "ES256",
          "crv": "P-256",
          "kid": "38013f13-c266-4eec-a72a-92ec92779f21",
          "kty": "EC",
          "x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
          "y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
        }
      ]
    },
    "description": "Long description for Token Validation Configuration",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "title": "Example Token Validation Configuration",
    "token_sources": [
      "http.request.headers[\"x-auth\"][0]",
      "http.request.cookies[\"Authorization\"][0]"
    ],
    "token_type": "JWT"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "credentials": {
      "keys": [
        {
          "alg": "ES256",
          "crv": "P-256",
          "kid": "38013f13-c266-4eec-a72a-92ec92779f21",
          "kty": "EC",
          "x": "KN53JRwN3wCjm2o39bvZUX2VdrsHzS8pxOAGjm8m7EQ",
          "y": "lnkkzIxaveggz-HFhcMWW15nxvOj0Z_uQsXbpK0GFcY"
        }
      ]
    },
    "description": "Long description for Token Validation Configuration",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "title": "Example Token Validation Configuration",
    "token_sources": [
      "http.request.headers[\"x-auth\"][0]",
      "http.request.cookies[\"Authorization\"][0]"
    ],
    "token_type": "JWT"
  },
  "success": true
}